Download it now!
Bug 115232 - Impress text selection highlighting slightly off with larger line spacing
Summary: Impress text selection highlighting slightly off with larger line spacing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.2 rc
Hardware: All All
: medium minor
Assignee: Szymon Kłos
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Selection
  Show dependency treegraph
 
Reported: 2018-01-25 22:04 UTC by Mark van Rossum
Modified: 2018-03-28 15:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of bug (96.19 KB, image/png)
2018-01-25 22:04 UTC, Mark van Rossum
Details
Test case (11.99 KB, application/vnd.oasis.opendocument.presentation)
2018-03-04 19:12 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark van Rossum 2018-01-25 22:04:47 UTC
Created attachment 139368 [details]
screen shot of bug

Hi

In Impress, when I create and then select text, it gets a blue overlay. 

This works fine, but when I increase the line spacing to 1.5 or 2, the selection coloring is off set vertically. (see screenshot).
The cursor is also slightly too low.

I don't see the bug in Writer (but text seems to work different there).

Version: 6.0.0.2
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 4; OS: Linux 4.14; UI render: GL; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group

On Debian buster.
Comment 1 Mark van Rossum 2018-02-11 16:07:54 UTC
Still in 6.0.1.1
Comment 2 Buovjaga 2018-03-04 19:12:20 UTC
Created attachment 140338 [details]
Test case

Repro, but not in 3.6.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 13164cc99dc6184fb2c12e56e9c0dea0d5692eec
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on March 4th 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 3 Xisco Faulí 2018-03-05 17:55:53 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-12-21 18:02:13 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2018-01-01 21:52:56 +0100
commit	a7e6e4b220089a2d8a58ff10393d598a8b796fa5 (patch)
tree	0db698d0ce1dfa010b2a133e2ab76a0c5ac04be7
parent	f31ccd18f1b142f8c851e7e219f8bc18b157bc52 (diff)
tdf#114628 correct line spacing for impress
* use line spacing also for the first line
* correct spacing in case of > 100% proportional spacing

* impedit2.cxx only code readability change

Bisected with: bibisect-linux64-6.1

Adding Cc: to Szymon Kłos
Comment 4 Szymon Kłos 2018-03-09 15:46:28 UTC
Fixed in:

author	Szymon Kłos <szymon.klos@collabora.com>	2018-03-09 14:48:49 +0100
commit	4b59a110ddd1f02cfa0f677c68c6ef0ee1f3295d

tdf#116101 Correct position for linespacing > 100%
Comment 5 Xisco Faulí 2018-03-28 15:28:54 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Szymon Kłos!